from enum import Enum


class FilterServiceOrderingFields(Enum):
    NAME = "NAME"
    STATUS = "STATUS"
    UPDATED_AT = "UPDATED_AT"
    PRICE_MIN = "PRICE_MIN"
    DURATION_MINUTES = "DURATION_MINUTES"


class ServiceStatus(Enum):
    DRAFT = "DRAFT"
    PUBLISHED = "PUBLISHED"
    DELETED = "DELETED"


class OrderType(Enum):
    ASC = "ASC"
    DESC = "DESC"


class FilterServiceCategoriesOrderingFields(Enum):
    NAME = "NAME"


class PriceType(Enum):
    UNKNOWN = "UNKNOWN"
    FIXED = "FIXED"
    FROM = "FROM"


class ClientAction(Enum):
    BOOKING_WITH_EMPLOYEE = "BOOKING_WITH_EMPLOYEE"
    BOOKING_WITHOUT_EMPLOYEE = "BOOKING_WITHOUT_EMPLOYEE"
    REQUEST = "REQUEST"
    CALL = "CALL"
    LINK = "LINK"
